.slider2 {
    position: relative;
    width: 100%;
    max-width: 700px;
    /* Set a max width */
    margin: auto;
    overflow: hidden;
    /* border: 2px solid brown; */
}

.slider2-inner {
    display: flex;
    transition: transform 0.5s ease;
    width: 100%;
}

.slider2-item {
    box-sizing: border-box;
    text-align: center;
    min-width: 100%;
    /* Each slide takes the full width */
}

.slider2-control {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(255, 255, 255, 0.8);
    border: none;
    cursor: pointer;
    padding: 10px;
    border-radius: 30px;
    /* Rounded corners */
    height: 30px;
    width: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10;
    /* Ensure controls are on top */
}

.slider2-control.prev {
    left: 10px;
    background-color: gray;
    display: none;
}

.slider2-control.next {
    right: 10px;
    background-color: gray;
    display: none;
}

.slider2-item img {
    width: 100%;
    /* Make images responsive */
    height: auto;
    border-radius: 10px;
    /* Maintain aspect ratio */
    display: block;
    /* Remove space below image */
}

@media (max-width: 1024px) {

    .slider2-item,
    .slider2-inner,
    .slider2-inner {
        max-width: 97vw;
    }


    .slider2-item img {
        max-width: 97vw;
        /* Ensure it doesn't overflow on smaller screens */
    }
}